import { IFinderOptions } from '@files-stack/client-core';
import { ISearchOptions } from '@finder-stack/client-core';
export interface INodeContentOwnProps {
    listIndex: number;
    node: any;
    path: any[];
    scaffoldBlockPxWidth: number;
    lowerSiblingCounts: number[];
    style?: any;
    toggleChildrenVisibility?: Function;
    removeNode?: Function;
    treeIndex: number;
    treeId: string;
    parentNode?: any;
    theme?: any;
    styles?: any;
}
export interface INodeItemStateProps {
    expand?: boolean;
    selected?: boolean;
    searchOptions?: ISearchOptions;
}
export interface INodeItemDispatchProps {
    selectNode?: (id: string) => any;
    openFile?: (resource: string, name: string) => any;
    setFinderOptions: (options: IFinderOptions) => any;
}
export declare type INodeContentProps = INodeContentOwnProps & INodeItemStateProps & INodeItemDispatchProps;
declare const _default: any;
export default _default;
