import * as React from 'react';
import { ISearchOptions } from '@finder-stack/client-core';
export declare type IQueryDetailsOwnProps = {
    theme?: any;
    styles?: any;
};
export declare type IQueryDetailsStateProps = {
    searchOptions?: ISearchOptions;
};
export declare type IQueryDetailsDispatchProps = {
    setError?: (error: string, type: string) => any;
    setSearchOptions?: (options: any) => any;
};
export declare type IQueryDetailsProps = IQueryDetailsStateProps & IQueryDetailsDispatchProps & IQueryDetailsOwnProps;
export declare class QueryDetailsComponent extends React.Component<IQueryDetailsProps, {}> {
    private containerRef;
    private setExpand;
    private changeFilesInclude;
    private changeFilesExclude;
    render(): JSX.Element;
}
